Bug 443390 (CVE-2008-1944) - CVE-2008-1944 PVFB SDL backend chokes on bogus screen updates
Summary: CVE-2008-1944 PVFB SDL backend chokes on bogus screen updates
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-1944
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 368931 442733 443392
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-21 10:41 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:24 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-20 21:48:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0194 normal SHIPPED_LIVE Important: xen security and bug fix update 2008-05-13 12:28:04 UTC

Description Jan Lieskovsky 2008-04-21 10:41:55 UTC
Description of problem:

When using 'xm create' to start a paravirt guest, the SDL window often
disappears part way through the boot.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Configure a pv guest to use SDL graphics
2. xm create <pv guest>
3. wait for the guest to boot all the way up
  
Actual results:
I've seen the SDL window disappear on both i386 and ia64 about 20% of the time. 
I see nothing suspicious in xend.log. There is no output to xend-debug.log.

Expected results:
The SDL window should remain present every time a paravirt guest is started.

Additional info:

Looks similar to bz# 217635

Comment 5 Vincent Danen 2010-12-20 21:48:35 UTC
This was addressed via:

Red Hat Enterprise Linux version 5 (RHSA-2008:0194)


Note You need to log in before you can comment on or make changes to this bug.